import filecmp
import subprocess
import os
from time import sleep
from server import weather_run
from pathlib import Path


def install(parsed) -> None:
    args = parsed.parse_args()
    if args.install:
        projectDir = str(Path(__file__).resolve().parent.parent)
        homeDir = os.getenv("HOME")
        delivered = filecmp.cmp(
            projectDir + "/services/wthrc.service",
            homeDir + "/.config/systemd/user/wthrc.service",
            shallow=True,
        )
        if not delivered:
            os.environ["DIR"] = projectDir
            subprocess.call(["/usr/bin/sh", projectDir + "/scripts/install.sh"])
        subprocess.call(["/usr/bin/sh", projectDir + "/scripts/runner.sh"])
        sleep(5)
    weather_run()
